### Virtual Method

# Ide HoverProvider hover_async

#### Declaration

    void
    hover_async (
      IdeHoverProvider* self,
      IdeHoverContext* context,
      const GtkTextIter* location,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`context` | `IdeHoverContext`
| No description available.
| The data is owned by the caller of the function.
`location` | `GtkTextIter`
| A `GtkTextIter`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.